#
# spec file for package openresolv
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           openresolv
Version:        3.13.2
Release:        1.3
Summary:        DNS management framework
License:        BSD-2-Clause
URL:            https://roy.marples.name/projects/openresolv
Source0:        https://github.com/NetworkConfiguration/openresolv/releases/download/v3.13.2/openresolv-%{version}.tar.xz
Source1:        https://github.com/NetworkConfiguration/openresolv/releases/download/v3.13.2/openresolv-%{version}.tar.xz.asc
Requires:       bash
BuildArch:      noarch

%description
/etc/resolv.conf is a file that holds the configuration for the local resolution of domain names.
Normally this file is either static or maintained by a local daemon, normally a DHCP daemon.
openresolv will make sure, that multiple processes (eg. dhcpcd, NetworkManager, openvpn)
can write the resolv.conf without overwriting each others changes.

openresolv can generate a combined resolv.conf or a configuration file for a local nameserver
(like unbound, dnsmasq or bind) that will route the dns requests according to the search domain.

%prep
%autosetup
sed -i -e 's/^#!\/bin\/sh$//' named.in pdnsd.in dnsmasq.in unbound.in libc.in pdns_recursor.in

%build
./configure --bindir=%{_sbindir} --libexecdir=%{_libexecdir}/resolvconf
%make_build

%install
%make_install

%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/resolvconf.conf
%dir %{_libexecdir}/resolvconf
%{_libexecdir}/resolvconf/*
%{_sbindir}/resolvconf
%{_mandir}/man5/resolvconf.conf.5%{?ext_man}
%{_mandir}/man8/resolvconf.8%{?ext_man}

%changelog
* Tue Dec  5 2023 Andrea Manzini <andrea.manzini@suse.com>
- update to 3.13.2:
  * Do not return error from -i when no interfaces are configured
  * Update README.md to fix broken link to openresolv configuration
- update to 3.13.1:
  * new build system
- update to 3.13.0:
  * /etc/resolv.conf is now updated by mv(1) so it's atomic and watchers don't read partials.
  * unbound can now add generic options to forward zones
  * dinit and s6 init systems are now supported
- ran spec-cleaner
* Mon Jan  4 2021 Paolo Stivanin <info@paolostivanin.com>
- update to 3.12.0:
  * Allow configurations to be marked as Deprecated and Acivtated
  * Harden resolvconf lock detection
* Wed Aug 26 2020 Dirk Mueller <dmueller@suse.com>
- update to 3.11.0:
  * Add allow_interfaces and deny_interfaces configuration options
  * Add support to notify avahi-daemon and mdnsd of resolv.conf changes
* Thu Oct 31 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.9.2
  * dnsmasq: clear cache after updating servers via dbus
  * pdns_recursor: Fix global forwards (thus now installed by
    default)
  * man: layout and misc fixes
  * build: added import-src target
  version 3.9.1
  * More strict POSIX shell support
  * Interfaces have an implicit metric of 0 unless specified
  * Inline comments are stripped from nameserver and domain
    entries
- Spec cleanup
* Fri Apr 20 2018 dheidler@suse.com
- Fix dependency
* Mon Apr 16 2018 dheidler@suse.com
- Initial Package
